<mat-tab-group dynamicHeight mat-stretch-tabs>
  <!-- Discussions Tab -->
  <mat-tab>
    <ng-template mat-tab-label>
      <mat-icon class="material-icons-round tab-label-icon">question_answer</mat-icon>
      Questions
    </ng-template>
    <div class="row">
      <div class="col-6">
        <mat-card class="createPost-card">
          <mat-form-field class="createPost-formField no-bottom" appearance="outline">
            <mat-label>Create question</mat-label>
            <textarea matInput matTextareaAutosize [(ngModel)]="post"></textarea>
            <button matSuffix mat-icon-button aria-label="Send" (click)="createDiscussion()">
              <mat-icon class="material-icons">send</mat-icon>
            </button></mat-form-field
          >
        </mat-card>
      </div>
    </div>

    <mat-card
      class="discussion-card mat-elevation-z3"
      *ngFor="let discussion of discussionsPaginated"
      (click)="openDiscussion(discussion._id); $event.stopPropagation()"
    >
      <mat-card-header>
        <img
          mat-card-avatar
          src="/assets/student.png"
          (click)="openUserProfile(discussion.creator._id); $event.stopPropagation()"
        />
        <mat-card-title
          class="discussion-user"
          (click)="openUserProfile(discussion.creator._id); $event.stopPropagation()"
          >{{ discussion.creator | name: 'displayName' }}</mat-card-title
        >
        <mat-card-subtitle>{{
          discussion.creationDate | date: 'dd/M/yyyy H:mm'
        }}</mat-card-subtitle>
      </mat-card-header>
      <mat-card-content class="discussion-title">
        <h2>{{ discussion.title }}</h2>
      </mat-card-content>
      <mat-card-actions>
        <button mat-button>
          <mat-icon
            class="discussion-icons"
            [ngClass]="{
              'material-icons liked': isLiked(discussion),
              'material-icons-outlined': !isLiked(discussion)
            }"
            >thumb_up</mat-icon
          >
          {{ discussion.likes == 1 ? discussion.likes + ' Like' : discussion.likes + ' Likes' }}
        </button>
        <button mat-button>
          <mat-icon class="material-icons-outlined discussion-icons">comment</mat-icon>
          {{
            discussion.commentsTotal == 1
              ? discussion.commentsTotal + ' Comment'
              : discussion.commentsTotal + ' Comments'
          }}
        </button>
      </mat-card-actions>
    </mat-card>
    <mat-paginator
      *ngIf="discussions && discussions.length > 0"
      class="app-paginator"
      [length]="discussions.length"
      [pageSize]="pageSizeDiscussions"
      [pageSizeOptions]="[5, 10, 20, 30]"
      (page)="paginatorButtonQuestions($event)"
    >
    </mat-paginator>
  </mat-tab>
  <!-- Study Pals Tab -->
  <mat-tab>
    <ng-template mat-tab-label>
      <mat-icon class="material-icons-round tab-label-icon">local_library</mat-icon>
      Study Pals
    </ng-template>
    <div class="row row-cols-3">
      <div class="col" *ngFor="let pal of palsPaginated">
        <app-offer-card
          [person]="pal._id"
          [course]="course"
          [isPal]="true"
          [myPals]="myPals"
          (reloadList)="loadMyPals()"
        ></app-offer-card>
      </div>
    </div>
    <mat-paginator
      *ngIf="pals && pals.length > 0"
      class="app-paginator"
      [length]="pals.length"
      [pageSize]="pageSizePals"
      [pageSizeOptions]="[6, 12, 15, 18]"
      (page)="paginatorButtonPals($event)"
    >
    </mat-paginator>
  </mat-tab>
  <!-- Tutors Tab -->
  <mat-tab>
    <ng-template mat-tab-label>
      <mat-icon class="material-icons-round tab-label-icon">support_agent</mat-icon>
      Tutors
    </ng-template>
    <div class="row row-cols-3">
      <div class="col" *ngFor="let tutor of tutorsPaginated">
        <app-offer-card
          [person]="tutor._id"
          [course]="course"
          [tutorRate]="tutor.rate"
          [myTutors]="myTutors"
          (reloadList)="loadMyTutors()"
          [isPal]="false"
        ></app-offer-card>
      </div>
    </div>
    <mat-paginator
      *ngIf="tutors && tutors.length > 0"
      class="app-paginator"
      [length]="tutors.length"
      [pageSize]="pageSizeTutors"
      [pageSizeOptions]="[6, 12, 15, 18]"
      (page)="paginatorButtonTutors($event)"
    >
    </mat-paginator>
  </mat-tab>
</mat-tab-group>
